/**
 *    This file is part of OtviAI.
 *
 *    OtviAI is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    OtviAI is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with OtviAI.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Copyright 2008-2021 Otto Visser.
 * Suggestions/comments and bugs can go to: otviai@otvi.nl
 */

class OtviAI extends AIInfo {
	function GetAuthor()      { return "ManInTheBox"; }
	function GetName()        { return "OtviAI"; }
	function GetDescription() { return "An AI that transports everything by anything"; }
	function GetVersion()     { return 423; }
	function GetDate()        { return "2008-09-22"; }	// date of first public release
	function CreateInstance() { return "OtviAI"; }
	function GetShortName()   { return "OTVI"; }
	function GetAPIVersion()  { return "1.11"; }
}

/* Tell the core we are an AI */
RegisterAI(OtviAI());

